Page MenuHomePhabricator

Improve Graphoid code
Closed, ResolvedPublic

Description

Before deploying Graphoid, it's code needs to be cleaned up a bit. Namely:

  • Update to the latest version of service-template-node - T94013
  • Remove unnecessary code inherited from the template (in routes/) - T93919
  • Write Graphoid-specific tests - T93921
  • Make the tests pass (currently not even JSHint checks pass) - T93911

Event Timeline

mobrovac created this task.Mar 25 2015, 1:58 PM
mobrovac assigned this task to Yurik.
mobrovac raised the priority of this task from to High.
mobrovac updated the task description. (Show Details)
mobrovac added a subscriber: mobrovac.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 1:58 PM
Yurik updated the task description. (Show Details)Apr 6 2015, 6:29 AM
Yurik updated the task description. (Show Details)Apr 6 2015, 6:50 AM
Yurik closed this task as Resolved.Apr 8 2015, 1:06 AM

Please file additional issues as separate tasks.

mobrovac reopened this task as Open.Apr 8 2015, 9:14 AM

Reopening due to unmet dependencies

Yurik added a comment.Apr 9 2015, 8:02 AM

Should this issue be closed now?

mobrovac closed this task as Resolved.Apr 9 2015, 8:15 AM

Gave it a final look, looks good now, so resolving.

The only thing left to deal with are vega logs which get printed to stderr, and looking at the code, that's a hardcoded feature unfortunately. Having these logs in production could help a lot.

Yurik added a subscriber: Yurik.Apr 9 2015, 8:32 AM

Vega is on github, send them an issue)

Change 203009 had a related patch set uploaded (by Mobrovac):
Minor logger fixes

https://gerrit.wikimedia.org/r/203009

Change 203009 merged by Yurik:
Minor logger fixes

https://gerrit.wikimedia.org/r/203009